﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Controls.Charts;

namespace DataChart_code_beind
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            SimpleDataCollection data = new SimpleDataCollection();
            XamDataChart DataChart = new XamDataChart();
            DataChart.Margin = new Thickness(5);
            DataChart.DataContext = data;



            // XAxis
            CategoryXAxis xmXAxis = new CategoryXAxis();
            xmXAxis.ItemsSource = data;
            xmXAxis.Label = "{Label}";
            xmXAxis.LabelSettings = new AxisLabelSettings(); //ADDED this line
            xmXAxis.LabelSettings.Extent = 35;
            xmXAxis.LabelSettings.Location = AxisLabelsLocation.OutsideBottom;
            
            // YAxis
            NumericYAxis xmYAxis = new NumericYAxis();
            xmYAxis.LabelSettings = new AxisLabelSettings();//ADDED this line
            xmYAxis.LabelSettings.Extent = 55;
            xmYAxis.LabelSettings.Location = AxisLabelsLocation.OutsideLeft;

            DataChart.Axes.Add(xmXAxis);
            DataChart.Axes.Add(xmYAxis);



            // Series
            SplineAreaSeries series = new SplineAreaSeries();
            series.ValueMemberPath = "Value";
            series.XAxis = xmXAxis;
            series.YAxis = xmYAxis;
            series.ItemsSource = data;
            DataChart.Series.Add(series); 
            
            this.LayoutRoot.Children.Add(DataChart);




            


        }
    }

    public class SimpleDataCollection : ObservableCollection<SimpleDataPoint>
    {
        public SimpleDataCollection()
        {
            this.Add(new SimpleDataPoint() { Label = "1", Value = 3.0 });
            this.Add(new SimpleDataPoint() { Label = "2", Value = 2.0 });
            this.Add(new SimpleDataPoint() { Label = "3", Value = 3.0 });
            this.Add(new SimpleDataPoint() { Label = "4", Value = 4.0 });
            this.Add(new SimpleDataPoint() { Label = "5", Value = 5.0 });
            this.Add(new SimpleDataPoint() { Label = "6", Value = 6.0 });
            this.Add(new SimpleDataPoint() { Label = "7", Value = 5.0 });

        }
    }
    /// <summary>
    /// Simple storage class for pair of string and double value
    /// </summary>
    public class SimpleDataPoint
    {
        public double Value { get; set; }
        public string Label { get; set; }
    }

}
